Subject: Re: What's cooking in git.git (Aug 2021, #04; Tue, 10)

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Aug 2021 09:19:16 -0700

Phillip Wood <[email-masked]> writes:

>> * ab/progress-users-adjust-counters (2021-08-05) 3 commits
>>   - entry: show finer-grained counter in "Filtering content" progress line
>>   - midx: don't provide a total for QSORT() progress
>>   - commit-graph: fix bogus counter in "Scanning merged commits" progress line
>>   The code to show progress indicator in a few codepaths did not
>>   cover between 0-100%, which has been corrected.
>
> I think the midx patch wants to be dropped
> cf. <[email-masked]>

Thanks.  I was not expecting it to advance as-is; will make a
comment as such.

>> * zh/cherry-pick-help-is-only-for-sequencer (2021-08-03) 2 commits
>>    (merged to 'next' on 2021-08-04 at 9ea14ed106)
>>   + cherry-pick: use better advice message
>>   + cherry-pick: fix bug when used with GIT_CHERRY_PICK_HELP
>>   "git cherry-pick" loses its state file when a stray
>>   GIT_CHERRY_PICK_HELP environment is present, which has been
>>   corrected.
>>   Will cook in 'next'.
>
> Sorry I missed this going into next, I thought the conclusion was to
> drop these[1] in favor of[2]

Thanks again.  Let's make sure the "better advice message" will be
the approach we'll take in the next cycle.